package cn.gtmap.estateplat.config.core.service.impl;

import cn.gtmap.estateplat.config.core.mapper.config.BdcXtDamlhMapper;
import cn.gtmap.estateplat.config.core.service.BdcXtDamlhService;
import cn.gtmap.estateplat.model.server.core.BdcXtDamlh;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;

/**
 * @version 1.0, 2017/6/29.
 * @auto <a href="mailto:zhouwanqing@gtmap.cn">zhouwanqing</a>
 * @description
 */
@Service
public class BdcXtDamlhServiceImpl implements BdcXtDamlhService {
    @Autowired
    BdcXtDamlhMapper bdcXtDamlhMapper;

    @Override
    public List<BdcXtDamlh> getBdcXtDamlh(BdcXtDamlh bdcXtDamlh) {
        List<BdcXtDamlh> bdcXtDamlhList = null;
        if (bdcXtDamlh != null) {
            HashMap hashMap = new HashMap();
            hashMap.put("bdclx", bdcXtDamlh.getBdclx());
            hashMap.put("dwdm", bdcXtDamlh.getDwdm());
            hashMap.put("zslx", bdcXtDamlh.getZslx());
            hashMap.put("djlx", bdcXtDamlh.getDjlx());
            bdcXtDamlhList = bdcXtDamlhMapper.getBdcXtDamlh(hashMap);
        }
        return bdcXtDamlhList;
    }

}
